commit:     e115f533625022107f6ae3459a1b842ebbdfb23f
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 30 05:33:55 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Mar 30 05:43:43 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e115f533

dev-python/xarray: Bump to 2024.3.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/xarray/Manifest               |  1 +
 dev-python/xarray/xarray-2024.3.0.ebuild | 91 ++++++++++++++++++++++++++++++++
 2 files changed, 92 insertions(+)

diff --git a/dev-python/xarray/Manifest b/dev-python/xarray/Manifest
index d2dab91832ff..47147154332b 100644
--- a/dev-python/xarray/Manifest
+++ b/dev-python/xarray/Manifest
@@ -1,2 +1,3 @@
 DIST xarray-2024.1.1.tar.gz 3614037 BLAKE2B 
cc50fbfa19a2c9229b85b8c7d5d0e7e7f6d3e5a484955fcc81aa0b37839a0b992d2c2f928e4097ca05c7b8294ed1061fbd0c1b7e7c65c9087a940dab97c520ce
 SHA512 
b6447ca2c80b3a3091ac2baba648fef4faa79ffff272360e9726b318b517ede9d2717d1b6f77f03fdacf55527233f1a37c0d114901fe1a265d3e435cf293a487
 DIST xarray-2024.2.0.tar.gz 3634288 BLAKE2B 
8d1165360300da5af6d670947e5280052a3d8915768e02448b86ab38283d6d45258a2c4eb91982ba732ccedb3a7afc5f274116c9ee0072d35cdc5631b8a2ca50
 SHA512 
dcfe6d1f0edab8659664c5399b96d622d2e3df2f85bb7672d9afab6f74294a6449772efde080aaa7323f733c09cbd0f6f037e547be0afa79f39450eead777828
+DIST xarray-2024.3.0.tar.gz 3674424 BLAKE2B 
a255ad57329a322751fd96833128372e12b175ad11aa41eff21f0c188f7beb4e6ad0f904a4229d44f13222c45c127ac0be77e050ba5032255839733a084da5f0
 SHA512 
4c7490b2efb4ed1a7278c807f4d200d99407d21bd54287ca5d35300194049a82aef3d8fbedba8f180ddb0d554cbb3f8f63abbb01401d5904f6d29cfa729e2ab0

diff --git a/dev-python/xarray/xarray-2024.3.0.ebuild 
b/dev-python/xarray/xarray-2024.3.0.ebuild
new file mode 100644
index 000000000000..177406558283
--- /dev/null
+++ b/dev-python/xarray/xarray-2024.3.0.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="N-D labeled arrays and datasets in Python"
+HOMEPAGE="
+       https://xarray.pydata.org/
+       https://github.com/pydata/xarray/
+       https://pypi.org/project/xarray/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="big-endian"
+
+RDEPEND="
+       >=dev-python/numpy-1.23[${PYTHON_USEDEP}]
+       >=dev-python/pandas-1.5[${PYTHON_USEDEP}]
+       >=dev-python/packaging-22[${PYTHON_USEDEP}]
+"
+# note: most of the test dependencies are optional
+BDEPEND="
+       dev-python/setuptools-scm[${PYTHON_USEDEP}]
+       test? (
+               dev-python/bottleneck[${PYTHON_USEDEP}]
+               dev-python/hypothesis[${PYTHON_USEDEP}]
+               dev-python/matplotlib[${PYTHON_USEDEP}]
+               dev-python/toolz[${PYTHON_USEDEP}]
+               !hppa? ( >=dev-python/scipy-1.4[${PYTHON_USEDEP}] )
+       )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_test() {
+       local EPYTEST_DESELECT=(
+               # warning-targeted tests are fragile and not important to end 
users
+               
xarray/tests/test_backends.py::test_no_warning_from_dask_effective_get
+               # TODO: segv in netcdf4-python
+               
'xarray/tests/test_backends.py::test_open_mfdataset_manyfiles[netcdf4-20-True-5-5]'
+               
'xarray/tests/test_backends.py::test_open_mfdataset_manyfiles[netcdf4-20-True-5-None]'
+               
'xarray/tests/test_backends.py::test_open_mfdataset_manyfiles[netcdf4-20-True-None-5]'
+               
'xarray/tests/test_backends.py::test_open_mfdataset_manyfiles[netcdf4-20-True-None-None]'
+               
xarray/tests/test_backends.py::TestDask::test_save_mfdataset_compute_false_roundtrip
+               # TODO: broken
+               xarray/tests/test_backends.py::TestNetCDF4Data
+               xarray/tests/test_backends.py::TestNetCDF4ViaDaskData
+               # hangs
+               xarray/tests/test_backends.py::TestDask::test_dask_roundtrip
+               # mismatches when pyarrow is installed
+               # https://github.com/pydata/xarray/issues/8092
+               
xarray/tests/test_dask.py::TestToDaskDataFrame::test_to_dask_dataframe_2D
+               
xarray/tests/test_dask.py::TestToDaskDataFrame::test_to_dask_dataframe_not_daskarray
+       )
+       local EPYTEST_IGNORE=(
+               # requires datatree_ subpackage that is not part of public API
+               # https://github.com/pydata/xarray/issues/8768
+               xarray/tests/datatree
+       )
+
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+
+       if ! has_version ">=dev-python/scipy-1.4[${PYTHON_USEDEP}]" ; then
+               EPYTEST_DESELECT+=(
+                       
'xarray/tests/test_missing.py::test_interpolate_na_2d[coords1]'
+               )
+       fi
+
+       if use big-endian ; then
+               EPYTEST_DESELECT+=(
+                       # Appears to be a numpy issue in display? See bug 
#916460.
+                       
'xarray/tests/test_coding_times.py::test_roundtrip_datetime64_nanosecond_precision[1677-09-21T00:12:43.145224193-ns-int64-20-True]'
+                       
'xarray/tests/test_coding_times.py::test_roundtrip_datetime64_nanosecond_precision[1970-09-21T00:12:44.145224808-ns-float64-1e+30-True]'
+                       
'xarray/tests/test_coding_times.py::test_roundtrip_datetime64_nanosecond_precision[1677-09-21T00:12:43.145225216-ns-float64--9.223372036854776e+18-True]'
+                       
'xarray/tests/test_coding_times.py::test_roundtrip_datetime64_nanosecond_precision[1677-09-21T00:12:43.145224193-ns-int64-None-False]'
+                       
'xarray/tests/test_coding_times.py::test_roundtrip_datetime64_nanosecond_precision[1677-09-21T00:12:43.145225-us-int64-None-False]'
+                       
'xarray/tests/test_coding_times.py::test_roundtrip_datetime64_nanosecond_precision[1970-01-01T00:00:01.000001-us-int64-None-False]'
+                       
'xarray/tests/test_coding_times.py::test_roundtrip_datetime64_nanosecond_precision[1677-09-21T00:21:52.901038080-ns-float32-20.0-True]'
+               )
+       fi
+
+       epytest
+}

Reply via email to